Subject: bug#25150: Possible reason for this bug

From: [email-masked]
Date: Sun, 18 Dec 2016 09:23:16 -0500

nitish chandra <[email-masked]> writes:

>
> But why is this? Why should ] at the start of a line be regarded as a
> comment? If > is regarded as a comment, it sounds reasonable because >
> characters are used to cite messages. But why ]? Are there any citing
> formats that use ] for citing?

https://en.wikipedia.org/wiki/Posting_style#Quoted_line_prefix says

    Today (and for many years previously), the greater-than sign (">",
    the canonical prefix)[1] is almost universally used; but other
    characters such as the ASCII vertical bar character ("|") have been
    used as well, sometimes with one or more spaces inserted before or
    after the quoted text marker.

Perhaps "]" used to be one of the "other" characters used for this?
Seems to be obsolete now, I think it would be sensible to remove it from
the default value of mail-citation-prefix-regexp.